<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: データ構造</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>データ構造</h1>データ構造の説明です。<table>
  <tr><td class="indexkey"><a class="el" href="structM17NObjectHead.html">M17NObjectHead</a></td><td class="indexvalue">管理下オブジェクトの最初のメンバ </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMCodingInfoISO2022.html">MCodingInfoISO2022</a></td><td class="indexvalue"><a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efbaca427c661acd5ba630316fe2d925987e">MCODING_TYPE_ISO_2022</a> タイプのコード系で必要な付加情報用構造体 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMCodingInfoUTF.html">MCodingInfoUTF</a></td><td class="indexvalue"><a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba52dc03931e768c13c7968dcf817c7ad7">MCODING_TYPE_UTF</a> タイプのコード系で必要な付加情報用の構造体 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMConverter.html">MConverter</a></td><td class="indexvalue">コード変換に用いられる構造体 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawControl.html">MDrawControl</a></td><td class="indexvalue">テキスト表示制御の型宣言 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawGlyph.html">MDrawGlyph</a></td><td class="indexvalue">グリフの寸法とフォントに関する情報の型宣言 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawGlyphInfo.html">MDrawGlyphInfo</a></td><td class="indexvalue">グリフに関する情報の型宣言 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawMetric.html">MDrawMetric</a></td><td class="indexvalue">グリフとテキストの寸法の型宣言 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawTextItem.html">MDrawTextItem</a></td><td class="indexvalue">Textitem の型宣言 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFaceBoxProp.html">MFaceBoxProp</a></td><td class="indexvalue">フェースの囲み枠指定用型宣言 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFaceHLineProp.html">MFaceHLineProp</a></td><td class="indexvalue">フェースの水平線指定用型宣言 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTFont.html">MFLTFont</a></td><td class="indexvalue">FLT ドライバが使うフォントの型 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTGlyph.html">MFLTGlyph</a></td><td class="indexvalue">グリフに関する情報の型 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTGlyphAdjustment.html">MFLTGlyphAdjustment</a></td><td class="indexvalue">グリフ位置調整情報のための型 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a></td><td class="indexvalue">グリフ列の情報のための型 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a></td><td class="indexvalue">GSUB および GPOS OpenType テーブルの仕様のための型 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputContext.html">MInputContext</a></td><td class="indexvalue">入力コンテクスト用構造体 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputDriver.html">MInputDriver</a></td><td class="indexvalue">入力ドライバ用構造体 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputGUIArgIC.html">MInputGUIArgIC</a></td><td class="indexvalue">関数 <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="入力コンテクストを生成する.">minput_create_ic()</a> の引数の型宣言 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputMethod.html">MInputMethod</a></td><td class="indexvalue">入力メソッドの構造体 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputXIMArgIC.html">MInputXIMArgIC</a></td><td class="indexvalue">関数 <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="入力コンテクストを生成する.">minput_create_ic()</a> の引数 <b>arg</b> によって指される構造体 </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputXIMArgIM.html">MInputXIMArgIM</a></td><td class="indexvalue">関数 <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11" title="入力メソッドをオープンする.">minput_open_im()</a> の引数 <b>arg</b> によって指される構造体 </td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
